Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Interface X11.Xext

All Superinterfaces:
  com.sun.jna.Library

Enclosing interface:
  X11

    public static interface X11.Xext

extends com.sun.jna.Library

Definition (incomplete) of the Xext library.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static X11.Xext` | `INSTANCE`
`static int` | `ShapeBounding`
`static int` | `ShapeClip`
`static int` | `ShapeInput`
`static int` | `ShapeIntersect`
`static int` | `ShapeInvert`
`static int` | `ShapeSet`
`static int` | `ShapeSubtract`
`static int` | `ShapeUnion`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`void` | `XShapeCombineMask(X11.Display display, X11.Window window, int dest_kind, int x_off, int y_off, X11.Pixmap src, int op)`

Field Detail

### INSTANCE

    static final X11.Xext INSTANCE

### ShapeBounding

    static final int ShapeBounding

See Also:
  Constant Field Values

### ShapeClip

    static final int ShapeClip

See Also:
  Constant Field Values

### ShapeInput

    static final int ShapeInput

See Also:
  Constant Field Values

### ShapeSet

    static final int ShapeSet

See Also:
  Constant Field Values

### ShapeUnion

    static final int ShapeUnion

See Also:
  Constant Field Values

### ShapeIntersect

    static final int ShapeIntersect

See Also:
  Constant Field Values

### ShapeSubtract

    static final int ShapeSubtract

See Also:
  Constant Field Values

### ShapeInvert

    static final int ShapeInvert

See Also:
  Constant Field Values

Method Detail

### XShapeCombineMask

    void XShapeCombineMask(X11.Display display,
                           X11.Window window,
                           int dest_kind,
                           int x_off,
                           int y_off,
                           X11.Pixmap src,
                           int op)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD